/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef TYPESHEADERFILE
#define TYPESHEADERFILE

#include <QString>
#include <QStringList>

struct TVariable
{
	QString								name;
	QString								description;
	int									editor_index;
	double								value;
};

struct TInputData
{
	double								machine_expansion_coefficient;
	double								machine_scale;
	double								temp_min;
	double								temp_max;
	double								temp_gradient;
	double								report_increment;
	double								report_end;
};

struct TGroup
{
	QString								name;
	QStringList							items;
};

// calibration workspace
struct TDefaultIdentifier
{
	QString								name;
	QString								identifier;
};


#endif
