/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////



#include <QtGui>
#include <QApplication>
#include <QStyleFactory>

#include "ucbudgeteditor.h"

int main(int argc, char *argv[])
{
	int									ret_value;

//    Q_INIT_RESOURCE(ucbudgeteditor);
    QApplication 						application(argc, argv);
#ifndef Q_OS_MAC	
	QApplication::setStyle(QStyleFactory::create("fusion"));
#endif	
	
	application.setWindowIcon(QIcon(":/icons/ucbudgeteditor.png"));
	
    TUCBudgetEditor	*ucbudget_editor = new TUCBudgetEditor;
	
	ucbudget_editor->show();
	
	ret_value = application.exec();

	delete ucbudget_editor;
	
	return ret_value;

}
