/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////



#ifndef NAMEDIALOGHEADERFILE
#define NAMEDIALOGHEADERFILE

#include <QDialog>
#include <QString>

class QLineEdit;

class QPushButton;

class TNameDialog : public QDialog
{
Q_OBJECT
public:
// CREATORS
	TNameDialog(const QWidget *parent=0,Qt::WindowFlags flags=Qt::WindowFlags());
	~TNameDialog(void);
	
// ACCESSORS
	QString Name(void) const;
	
// MANIPULATORS
	void Set_Name(const QString &name);
	void Set_Title(const QString &title);
	
private slots:
	void Text_Changed(const QString&);
	
private:
	
	QLineEdit							*d_name_edit;
	QPushButton							*d_ok_button;


// NOT IMPLEMENTED
	TNameDialog(const TNameDialog&);
	TNameDialog& operator=(const TNameDialog&);
};


#endif

